Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_sys_select.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_select.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_select.inl"`

Include dependency graph for OS_NS_sys_select.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline
## Functions
ACE_NAMESPACE_INLINE_FUNCTION int | select (int width, fd_set *rfds, fd_set *wfds=0, fd_set *efds=0, const ACE_Time_Value *tv=0)
ACE_NAMESPACE_INLINE_FUNCTION int | select (int width, fd_set *rfds, fd_set *wfds, fd_set *efds, const ACE_Time_Value &tv)

## Detailed Description

Id
  OS_NS_sys_select.h,v 1.6 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_INLINE int ACE_OS::select | ( | int | width,
|  | fd_set * | rfds,
|  | fd_set * | wfds,
|  | fd_set * | efds,
|  | const ACE_Time_Value & | tv
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::select | ( | int | width,
|  | fd_set * | rfds,
|  | fd_set * | wfds = `0`,
|  | fd_set * | efds = `0`,
|  | const ACE_Time_Value * | tv = `0`
| ) |